Subject: Re: [PATCH] Change 'Deltifying objects' to 'Delta compressing objects'

From: Sam Vilain <[email-masked]>
Date: Fri, 19 Oct 2007 15:55:30 +1300

Jeff King wrote:
> On Fri, Oct 19, 2007 at 12:24:44PM +1000, David Symonds wrote:
> 
>> Forward thinking, that's probably most sensible, since git 4.7 might
>> not use delta compression, but maybe wavelet compression, or other
>> scheme entirely. Using deltas is an implementation detail, after all.
> 
> Git already uses two types of compression (zlib on all objects, deltas
> between objects in packfiles). So just saying "compressing" is actually
> a bit ambiguous, and I think noting that what we are _actually_ doing
> right now is delta compression is worthwhile.

True.  But then, zlib compression is also delta compressing and huffman
coding.  Git's delta compression is quite similar; it just uses a larger
window than the sliding 64k gzip one.

Sam.`